/**
 * 图片上传响应
 * 
 */
import { z } from "zod";

export const ImageUploadResponseSchema = z.object({
  success: z.boolean().default(true),
  imageId: z.string(),
  thumbUrl: z.string(),
  mediumUrl: z.string(),
  originalUrl: z.string(),
  width: z.number(),
  height: z.number(),
  bytes: z.number(),
});

export type ImageUploadResponseInput = z.input<typeof ImageUploadResponseSchema>;
export type ImageUploadResponseData = z.output<typeof ImageUploadResponseSchema>;
